.posts{
    padding: 2em 0;

    &__wrapper{
        display: grid;
        gap:2em;
        grid-template-columns: repeat(auto-fit, minmax(14.5em, 1fr));
    }

    &__heading{
        margin-bottom: 1.5em;
    }
}

.heading--uppercase{
    text-transform: uppercase;
    font-weight: bold;
}

.box{
    &__img{
        margin-bottom: 0.7em;
    }

    &__name{
        padding: 0.43em 0;
        line-height: 1em;
    }

    &__comments{
        color: #7C7C7C;
        font-size: 0.75em;
        padding: 0.5em 0;
    }

    &__description{
        color: #5C5C5C;
        font-size: 0.875em;
        line-height: 1.85em;
    
        display: none;
    }

    &:last-child{
        display: none;

        @include breakpoint(577px){
            &{
                display: inline;
            }
        }
    }
}

@include breakpoint(577px, 767px){

    .box{
        width: 200px;
    }

    .box:nth-child(even){
        justify-self: flex-end;
    }
} 

@include breakpoint($medium){
    .posts__wrapper{
        display: inline;

    }
    .box{
        display: flex;

        &__text{
            margin-left: 1.25em;
        }

        &__description{
            display: inline;
        }

        &:last-child{
            display: flex;
        }
    }
}
@include breakpoint($large){
    .posts__wrapper{
        display: grid;
        grid-template: auto auto/1fr 1fr;
        grid-auto-flow: column;
    }
}